<template>
  <Input v-model="text" :number="true" @on-blur="$emit('adjust')" />
</template>
<script>
  export default {
    props: {
      value: Number,
    },
    data() {
      return {
        text: this.value,
      }
    },
    watch: {
      value(val) {
        this.text = val;
      },
      text(val) {
        this.$emit('input', val);
      }
    }
  }
</script>